%define py_version %(%{__python} -c "import sys; v=sys.version_info[:2]; print '%%d.%%d'%%v" 2>/dev/null || echo PYTHON-NOT-FOUND)
%define py_prefix  %(%{__python} -c "import sys; print sys.prefix" 2>/dev/null || echo PYTHON-NOT-FOUND)
%define py_libdir  %{py_prefix}/lib/python%{py_version}
%define py_incdir  %{py_prefix}/include/python%{py_version}
%define py_sitedir %{py_libdir}/site-packages

%define name python-django-cors-headers
%define source_name django-cors-headers
%define version 1.0.0
%define unmangled_version %{version}
%define release 1
%define dist .el7eng

Summary: python-django-cors-headers is a Django application for handling the server headers required for Cross-Origin Resource Sharing (CORS).
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source0: %{source_name}-%{unmangled_version}.tar.gz
License: MIT License
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
BuildRequires: python-setuptools
BuildRequires: python
Packager: Cheng Yu <ycheng@redhat.com>
Vendor: Otto Yiu <otto@live.ca>
Url: https://github.com/ottoyiu/django-cors-headers

%description
Django application for handling the server headers required for Cross-Origin Resource Sharing (CORS).

%prep
%setup -n %{source_name}-%{unmangled_version}

%build
#python setup.py build

%install
%{__python} setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

egg_info=%{buildroot}/%{py_sitedir}/django_cors_headers*.egg-info
if [ -f $egg_info ]; then
  rm $egg_info
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{py_sitedir}
